Loading...
Searching...
No Matches
Opm::WGHelpers::InjectionTargetCalculator< Scalar, IndexTraits > Class Template Reference

Based on a group control mode, extract or calculate rates, and provide other conveniences. More...

`#include <TargetCalculator.hpp>`

## Public Member Functions

| InjectionTargetCalculator (const Group::InjectionCMode &cmode, const PhaseUsageInfo< IndexTraits > &pu, const std::vector< Scalar > &resv_coeff, const std::string &group_name, const Scalar sales_target, const GroupState< Scalar > &group_state, const Phase &injection_phase, const bool use_gpmaint, DeferredLogger &deferred_logger)
template<typename RateVec>
auto | calcModeRateFromRates (const RateVec &rates) const
Scalar | groupTarget (const std::optional< Group::InjectionControls > &ctrl, DeferredLogger &deferred_logger) const
GuideRateModel::Target | guideTargetMode () const

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::WGHelpers::InjectionTargetCalculator< Scalar, IndexTraits >

Based on a group control mode, extract or calculate rates, and provide other conveniences.

The documentation for this class was generated from the following files:

- opm/simulators/wells/TargetCalculator.hpp
- opm/simulators/wells/TargetCalculator.cpp